Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 16578)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 16579)
@@ -2095,326 +1785,783 @@
 
         affiche_debug({
-            Debug1: Debug_info(1, Bandeau_t, "Bandeau_t"),
-            Debug4: Debug_info(4, infos_description, "infos_description"),
-            Debug5: Debug_info(5, infos_img, "infos_img")
+          Debug1: Debug_info(1, Bandeau_t, "Bandeau_t"),
+          Debug4: Debug_info(4, infos_description, "infos_description"),
+          Debug5: Debug_info(5, infos_img, "infos_img")
         });
+      }
     }
-}
-
-function affiche_debug(aff_infos) {
-    jQuery(jQuery("[id ^='Debug']")).each(function (i) {
+    //==========================================================
+    affiche_debug = function (aff_infos) {
+      jQuery(jQuery("[id ^='Debug']")).each(function (i) {
         if (aff_infos[this.id]) {
-            if (aff_infos[this.id].css) {
-                jQuery("#" + this.id).css(aff_infos[this.id].css);
-                jQuery("#" + this.id).text(aff_infos[this.id].texte);
-            }
-        }
-    });
-    return;
-
-}
-
-
-
-
-jQuery(function () {
-  jQuery('#pamoorama').live('ON', function (e) {
-    jQuery(jQuery('.debug').get(1)).trigger('ON');
-    if (typeof Bandeau_bas == "undefined" || Bandeau_bas.width == 0) {
-      Bandeau_bas = infos_Description_f(Parent);
-      Bandeau = Bandeau_bas.top;
-      old_window = { width: 0, height: 0 };
-      jQuery(window).resize();
-
+          if (aff_infos[this.id].css) {
+            jQuery("#" + this.id).css(aff_infos[this.id].css);
+            jQuery("#" + this.id).html(aff_infos[this.id].texte);
+          }
+        }
+      });
+      return;
     }
-
-  });
-  //=============================================================
-
-
-  jQuery("#infoSwitcher").click(function () {
-    jQuery("#llgbo").trigger("ON");
-    jQuery("#theImage").css({ textAlign: "center" });
-    nds = jQuery("#imageInfos").css("display");
-
-    Zone_image = Calcul_Image(nds != "none");
-    jQuery("#theMainImage").width(Zone_image.image.width);
-    jQuery("#theMainImage").height(Zone_image.image.height);
-
-    jQuery("#theImage").width(Zone_image.container.width);
-    jQuery("#theImage").height(Zone_image.container.height);
-    Set_Map(nds);
-
-  });
-
-  jQuery('#ret_autosize').live('ON', function (e) {
-    if (nu_img == "") nu_img = 8;
-    jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
-
-  });
-
-
-  jQuery("#reset").click(function () {
-    location.reload();
-  });
-
-  //=====================================================================
-  // jQuery("#llgbo").trigger("ON");
-  jQuery("#llgbo").live('ON', function (e) {
-    infos_llgbo = jQuery("#llgbo").infos();
-    //llgboframe 
-    marges_llgbo = 0;
-
-    if (infos_llgbo.height > 0) {
-      ll2 = jQuery("#llgbo div:last").infos();
-      ll1 = jQuery("#llgbo div:first").infos();
-      ll2 = "";
-      jQuery("#llgbo div").each(function (i) {
-        if (this.id == "") return;
-        var llgbo_frame = document.getElementById(this.id);
-        this.removeAttribute("width");
-        this.removeAttribute("height");
-        ll2 = this;
+    //===========================================
+    //
+    //===========================================
+    Set_Map = function (nds) {
+      p0 = jQuery("#map").position();
+      if (!p0) return;
+
+      infos_map = jQuery("#map").infos();
+      // if (infos_map.width == (Zone_image.container.width - p0.left))   return ;
+      nds = jQuery("#imageInfos").css("display");
+      if (nds != "none") {
+        p2 = jQuery("#infoSwitcher").infos();
+        p0.left += 35;
+      }
+      jQuery("#map").width(Zone_image.container.width - p0.left);
+      jQuery("#map").css({ position: "absolute", height: Zone_image.container.height + "px" });
+    }
+    //=====================================
+    //
+    //=====================================
+    theImage_init = function (Obj) {
+      if (jQuery("#derivativeSwitchBox").length > 0) {
+        id3 = jQuery("#derivativeCheckedAutosize");
+
+
+        var pi = jQuery("#derivativeSwitchBox > span ");
+        var px = jQuery(".derivativeSizeDetails ");
+
+        i = 0;
+        n = 0;
+        var pt = new Array();
+        jQuery("#derivativeSwitchBox a").each(function (i) {
+          href_path = jQuery(this).attr("href");
+          if (href_path.match(RegExp("auto", "gi"))) return true;
+          pt[i] = href_path.split("'");
+        });
+
+        th = jQuery(window).height();
+        tw = jQuery(window).width();
+
+        nds = jQuery("#imageInfos").css("display"); //inline-block 
+        Zone_image = Calcul_Image(false);
+        n0 = 0;
+        n1 = 0;
+        t0 = 0;
+        th = th - Zone_image.top;
+        tw = Zone_image.container.width;
+        th = Zone_image.container.height;
+        n = 0;
+
+        jQuery(".derivativeSizeDetails").each(function (i) {
+          vn = jQuery(this).text().replace("(", "").replace(")", "").split("x");
+          h0 = parseInt(vn[1]);
+          w0 = parseInt(vn[0])
+          if (h0 > th) {
+            n = i;
+            return false;
+          }
+          if (w0 > tw) {
+            n = i;
+            return false;
+          }
+          n++;
+        });
+
+
+        if (n > pt.length - 1) n = pt.length - 1; // format le plus grand
+        if (n < 0) n = 0; // format le plus grand
+
+
+
+        id_en_cours = pt[n][1];
+        last_map = pt[n][5];
+        var theImg = document.getElementById("theMainImage");
+
+        if (id3.length > 0) {
+          if (theImg.useMap.match(RegExp("map", "gi"))) return true;
+              changeImgSrc(id_en_cours, last_map, "Autosize");
+        } else {
+
+          new_html = '<br /><span class="switchCheck" id="derivativeCheckedAutosize" style="visibility:hidden" >&#x2714; </span>';
+          new_html += '<a href="javascript:changeImgSrc(\'' + id_en_cours + '\', \'' + last_map + '\', \'Autosize\') ">';
+          new_html += 'Autosize<span class="derivativeSizeDetails"> - Autosize</span>  </a>';
+          jQuery("#derivativeSwitchBox br:last").before(new_html);
+
+          theImg.useMap = typeMap;
+          if (theImg.useMap.match(RegExp("map", "gi"))) {
+            return true
+          };
+          jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
+          jQuery('#derivativeCheckedAutosize').css('visibility', 'visible');
+
+          if (theImg) {
+            theImg.removeAttribute("width");
+            theImg.removeAttribute("height");
+            theImg.src = id_en_cours;
+            theImg.useMap = "Autosize";
+            return true;
+          }
+        }
+
+
+        if (nu_img == "") nu_img = 7;
+      }
+      return true;
+
+      p2 = jQuery("#infoSwitcher").css("display");
+      Set_Map(p2);
+      jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
+      Autosize_resize(true);
+    };
+
+    //===============================================================
+    //  Fonctions générales
+    //===============================================================
+
+
+    /*************************************************
+    * correction pamoorama
+    *************************************************/
+    Set_Pamoorama = function () {
+      if (Type_Img == "pamoorama") {
+        if (typeof myPamoorama == "undefined") {
+          return;
+        }
+
+
+        infos_pamoorama = jQuery("#pamoorama").infos();
+        infos_pamoorama_outter = jQuery("#pamoorama_outter").infos();
+        infos_pamoorama_inner = jQuery("#pamoorama_inner").infos();
+        infos_pamoorama_footer = jQuery("#pamoorama_footer").infos();
+        infos_pamoorama_frame = jQuery("#pamoorama_frame").infos();
+        infos_frame = jQuery(myPamoorama.frame).infos();
+
+
+        //====================================================
+        jQuery("#pamoorama").css({
+          marginLeft: "auto",
+          marginRight: "auto"
+          //  height: Zone_Affichage.height + "px" , sinon déclenchement panorama sur la hauteur;
+        });
+
+        infos_pamoorama_inner = jQuery("#pamoorama_inner").infos();
+        infos_pamoorama = jQuery("#pamoorama").infos();
+
+
+
+
+        marges_w = infos_pamoorama.borderwidth.left +
+                          infos_pamoorama.margin.left +
+                          infos_pamoorama.borderwidth.right +
+                          infos_pamoorama.margin.right;
+
+        marges_h = 10 +
+                          infos_pamoorama.borderwidth.top +
+                          infos_pamoorama.margin.top +
+                          infos_pamoorama.borderwidth.bottom +
+                          infos_pamoorama.margin.bottom;
+        marges_h += infos_pamoorama_footer.borderwidth.top +
+                          infos_pamoorama_footer.margin.top +
+                          infos_pamoorama_footer.borderwidth.bottom +
+                          infos_pamoorama_footer.margin.bottom;
+
+        jQuery("#pamoorama").css({
+          width: ""
+        });
+
+        outter_height = Zone_image.container.height - infos_pamoorama_footer.height - marges_h;
+        Zoom_pano = outter_height / Zone_image.height_init;
+
+        new_image = { height: Math.ceil(Zone_image.height_init * Zoom_pano),
+          width: Math.ceil(Zone_image.width_init * Zoom_pano)
+        }
+
+        jQuery("#pamoorama_inner1").css({
+          "transform": "scale(" + Zoom_pano + ")",
+          "-ms-transform": "scale(" + Zoom_pano + ")", /* IE 9 */
+          "-webkit-transform": "scale(" + Zoom_pano + ")", /* Safari and Chrome */
+          "-o-transform": "scale(" + Zoom_pano + ")", /* Opera */
+          "-moz-transform": "scale(" + Zoom_pano + ")", /* Firefox */
+          "transform-origin": "0 0",
+          "-ms-transform-origin": "0 0", /* IE 9 */
+          "-webkit-transform-origin": "0 0", /* Safari and Chrome */
+          "-moz-transform-origin": "0 0", /* Firefox */
+          "-o-transform-origin": "0 0", /* Opera */
+          "background-size": "100%"
+        });
+        jQuery("#pamoorama_inner").css({ width: new_image.width, height: new_image.height, "background-size": "100%"
+        });
+
+        //  jQuery("#pamoorama_inner").width(Zone_image.width_init * Zoom_pano);
+        //  jQuery("#pamoorama_inner").height(Zone_image.height_init * Zoom_pano);
+
+
+        //---------- test largeur image 
+        new_width = Zone_image.container.width;
+        if (new_width > new_image.width) {
+          new_width = new_image.width;
+          jQuery("#pamoorama_outter").css({
+            position: 'absolute',
+            align: "center",
+            margin: "auto"
+          });
+        }
+        outter_width = new_width;
+
+
+        //  jQuery("#pamoorama_thumb").width(200 /  Zone_image.zoom);
+        jQuery("#pamoorama_thumb").css({ "width": "" });
+        jQuery("#pamoorama_outter").css({
+
+          align: 'center',
+          margin: 'auto',
+          width: outter_width + "px",
+          height: outter_height + "px"
+        });
+        //============= Mise à l'echelle ==================
+        jQuery("#pamoorama_footer").css({
+          width: Zone_image.container.width + "px"
+        });
+
+
+        jQuery("#pamoorama_thumb").width(200);
+        window.myPamoorama.options.width = Math.ceil(Zone_image.container.width);
+        //==================================================================
+        new_max_left = new_image.width - outter_width;
+        //   jQuery(window.myPamoorama.inner).width(Zone_image.width_init* Zoom_pano);
+        //    jQuery(window.myPamoorama.inner).height(Zone_image.height_init * Zoom_pano);
+
+
+
+        window.myPamoorama.outter.scrollTo(new_max_left, 0);
+
+        window.myPamoorama.autoScrollFx.to = new Array(new_max_left, 0);
+        window.myPamoorama.ratio = Math.ceil(new_image.width / 200);
+        window.myPamoorama.imageWidth = new_image.width;
+        window.myPamoorama.imageHeight = new_image.height;
+
+        //  200 = new_image.width
+        thumb_z = (Zone_image.container.width / window.myPamoorama.ratio);
+        thumb_h = (new_image.height / window.myPamoorama.ratio) * Zoom_pano;
+
+        jQuery("#pamoorama_frame").css({
+          width: thumb_z + "px"
+
+        });
+
+        window.myPamoorama.frame.setStyle('width', thumb_z);
+      } // test img
+    } // Set_Pamoorama
+    /*********************************************************/
+
+    Toggle_bp = function () {
+      cl_visible = !cl_visible;
+      Autosize_resize();
+      Wait_Affichage();
+      set_cl();
+    }
+    //====================================
+    // 
+    //====================================
+    set_cl = function () {
+      if (typeof cl_visible == "undefined") return;
+      if (typeof src1 == "undefined") return;
+
+      if (cl_visible) src = src1;
+      else src = src2;
+
+      if (cl_visible) {
+        src_info = src3;
+        src_infos_1 = src3;
+      }
+      else {
+        src_info = src4;
+        src_infos_1 = src5;
+      }
+      Zone_image.zoom = (Zone_image.image.height / Zone_image.height_init);
+      zoom_cl = parseInt(100 * Zone_image.zoom);
+      jQuery('#zoom ').val(zoom_cl);
+      zoom_cl = jQuery('#zoom ').val();
+      jQuery('#bp_cla').attr('alt', src_info);
+      jQuery('#bp_cla').attr('title', src_info);
+      jQuery('#bp_cla').attr('Stitle', src_info);
+      jQuery('#bp_cla').attr('Stip', zoom_cl + "%");
+
+      //jQuery('#bp_cla span').text(src_infos_1 +"    "+ zoom + "%");
+      jQuery('#bp_cla span').text(zoom_cl + "%");
+      bp_scr = jQuery('#bp_img_cla');
+
+      if (bp_scr.length > 0) {
+        src_enc = bp_scr.attr("src");
+        if (!src_enc.match(src)) {
+          bp_scr.get(0).src = src;
+          jQuery('#bp_img_cla').attr('alt', src_info);
+          jQuery('#bp_img_cla').attr('title', src_info);
+        }
+      }
+    }
+    //====================================
+    // 
+    //====================================
+    Calcul_Image = function (all_width) {
+      // theImageAndInfos(jaune) -> theImage(vert) -> [llgbo] -> theMainImage
+      // + infos_imageInfos(red)
+      infos_body = jQuery("body").infos(); // thePicturePage
+      infos_the_page = jQuery("#the_page").infos();
+      // theHeader
+      // 
+      infos_content = jQuery("#content").infos();
+      // imageHeaderBar
+      // imageToolBar imageInfoBar
+      infos_imageInfoBar = jQuery("#imageInfoBar").infos();
+      infos_imageToolBar = jQuery("#imageToolBar").infos();
+      //theImageAndTitle
+      infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
+      if (infos_theImageAndInfos.width == 0)
+        infos_theImageAndInfos = jQuery("#theImageAndTitle").infos();
+      infos_theImage = jQuery("#theImage").infos();
+      infos_imageInfos = jQuery("#imageInfos").infos();
+      infos_theMainImage = jQuery(theMainImage_obj).infos();         // Image
+      infos_theMainImage.src = jQuery(theMainImage_obj).attr("src");
+      //  infos_llgbo = jQuery("#llgbo").infos();
+      // commentContent
+      // copyright
+      pos_bottom = infos_content.bottom - infos_content.margin.bottom;
+      pos_left = infos_theImage.left;
+      x = infos_body.left;
+      imageInfos_width = jQuery("#imageInfos").css("width");
+
+      if (theme.match(RegExp("stripped", "gi"))) {
+        infos_the_page.margin.left = 20;  //taille fleche
+        infos_the_page.margin.right = 20;
+      }
+
+      retrait_w = Math.ceil(infos_theImage.margin.left
+                                + infos_theImage.margin.right
+                                + infos_theImage.borderwidth.left
+                                + infos_theImage.borderwidth.right
+                                + infos_theImage.padding.left
+                                + infos_theImage.padding.right);
+
+      retrait_w += Math.ceil(infos_the_page.margin.left
+                                + infos_the_page.margin.right
+                                + infos_the_page.borderwidth.left
+                                + infos_the_page.borderwidth.right
+                                + infos_the_page.padding.left
+                                + infos_the_page.padding.right);
+
+      retrait_w += Math.ceil(infos_body.margin.left +
+                                infos_body.margin.right);
+
+
+
+      pos_top = Math.ceil(infos_theImageAndInfos.top
+                     + infos_theImageAndInfos.margin.top
+                     + infos_content.borderwidth.top
+                     + infos_content.borderwidth.bottom
+                     + infos_content.margin.top
+                     + infos_content.margin.bottom);
+
+      retrait_h = Math.ceil(pos_top
+                         + infos_theImage.margin.top
+                                + infos_theImage.margin.bottom
+                                + infos_theImage.borderwidth.top
+                                + infos_theImage.borderwidth.bottom
+                                + infos_theImage.padding.top
+                                + infos_theImage.padding.bottom);
+
+
+
+      jQuery(theMainImage_obj).css({ margin: "auto"
       });
 
-      ll2 = jQuery(ll2).infos();
-      ll1 = ll1.width;
-      ll2 = ll2.width - ll2.borderwidth.left - ll2.borderwidth.right;
-      marges_llgbo = (ll1 - ll2);
-      infos_llgbo.borderwidth.left = parseInt(marges_llgbo / 2);
-      infos_llgbo.borderwidth.right = parseInt(marges_llgbo / 2);
-      infos_llgbo.borderwidth.top = parseInt(marges_llgbo / 2);
-      infos_llgbo.borderwidth.bottom = parseInt(marges_llgbo / 2);
-
-      infos_llgboh2 = jQuery("#llgboh2").infos();
-
-
-    }
-
-
-  });
-  //=====================================================================
-  // jQuery("#theImageAndInfos").trigger("ON");
-  jQuery("#theImageAndInfos").live('ON', function (e) {
-    infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
-
-
-  });
-  //=====================================================================
-  // jQuery("#map").trigger("ON");
-  jQuery("#mapPicture").live('ON', function (e) {
-    p2 = jQuery("#infoSwitcher").infos();
-  });
-  function Set_Map(nds) {
-    p0 = jQuery("#map").position();
-    if (!p0) return;
-
-    infos_map = jQuery("#map").infos();
-    // if (infos_map.width == (Zone_image.container.width - p0.left))   return ;
-    nds = jQuery("#imageInfos").css("display");
-    if (nds !="none") {
-      p2 = jQuery("#infoSwitcher").infos();
-      p0.left += 35;
-    }
-    jQuery("#map").width(Zone_image.container.width - p0.left);
-    jQuery("#map").css({ height: '100%' });
-  }
-
-  jQuery("#map").live('ON', function (e) {
-
-  });
-  //=====================================================================
-  // jQuery("#theImage").trigger("ON");
-  jQuery("#theImage").live('ON', function (e) {
-
-    infos_theImage = jQuery("#theImage").infos();
-
-    idi = jQuery("#theImage img").attr("src"); ;
-    id2 = jQuery("#theImage img").attr("usemap");
-    if (id2) {
-      id3 = jQuery("#derivativeCheckedAutosize");
-      id4 = id2.replace('#map', ''); // en cours
-      id0 = idi.split('-');
-      id5 = id0[id0.length - 1].split(".")[1];
-      id6 = id0[id0.length - 1];
-
-      id4 = idi.replace("-" + id0[id0.length - 1], "-xx") + "." + id5;
-      idi = id4;
-      id4 = 'xxlarge';
-      path = document.URL;
-      if (id3.length == 0) {
-
-        //derivativeCheckedxxlarge
-        jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
-        // jQuery('#derivativeChecked' + typeSave).css('visibility', 'visible');
-
-        new_html = '<br /><span class="switchCheck" id="derivativeCheckedAutosize" style="visibility:visible" >&#x2714; </span>';
-        new_html += '<a href="javascript:changeImgSrc1(\'' + idi + '\', \'' + id4 + '\', \'Autosize\') ">';
-        new_html += 'Autosize<span class="derivativeSizeDetails"> - Autosize</span>  </a>';
-
-
-        htm = jQuery("#derivativeSwitchBox")[0].innerHTML;
-        jQuery("#derivativeSwitchBox br:last").before(new_html);
-        // cl_visible = false;
-        htm1 = jQuery("#derivativeSwitchBox")[0].innerHTML;
-
-        var theImg = document.getElementById("theMainImage");
-        if (theImg) {
-
-          theImg.removeAttribute("width");
-          theImg.removeAttribute("height");
-          theImg.src = idi;
-          //  theImg.useMap =  ;
-          theImg.useMap = "Autosize";
-        }
-      }
-    }
-    if (nu_img == "") nu_img = 7;
-
-
-    jQuery().newResize(false);
-    p2 = jQuery("#infoSwitcher").css("display");
-    Set_Map(p2);
-    jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
-
-  });
-  //=================================================================
-  jQuery(document).live('gallyInterfaceReady', function (e) {
-    i = jQuery(this).text();
-    jQuery(this).trigger('ON');
-  }
-
-  );
-  jQuery(Parent).live('OK', function (e) {
-    if (nu_img == "") nu_img = 7;
-    jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
-    jQuery().newResize(false);
-    jQuery().newResize(false);
-
-    jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
-  });
-  // Custom Event, ON to turn on a debug.
-  jQuery('.debug').live('ON', function (e) {
-
-    nu_img = jQuery(this).text();
-    jQuery('.debug').trigger('OFF');
-    jQuery(this).addClass('debugOn');
-
-  });
-
-  // On Click = debugs On
-  jQuery('.debug').live('click', function (e) {
-    i = jQuery(this).text();
-    jQuery(this).trigger('ON');
-  });
-
-  // Custom Event, Turn off a debug
-  jQuery('.debug').live('OFF', function (e) {
-    jQuery(this).removeClass('debugOn');
-  });
-
-  // on Double Click, remove the debug from the DOM
-  jQuery('.debug').live('dblclick', function () {
-    jQuery(this).fadeOut(function () { jQuery(this).remove() });
-  });
-
-  // Add another debug to the DOM
-  jQuery('#adddebugs').click(function () {
-    i = jQuery('.debug').length;
-    jQuery('<div>' + i + '</div>')
-            .addClass('debug')
-            .appendTo('#debugsContainer');
-  });
-
-  // Add 10 testing debugs to start with
-  jQuery(window).load(function () {
-    DEBUG_autosize = (typeof DEBUG_autosize != "undefined") ? DEBUG_autosize : "false";
-    if (DEBUG_autosize == "true") {
-      for (var i = 0; i < 10; i++) {
-        jQuery('#adddebugs').click();
-      }
-      jQuery(jQuery('.debug').get(i - 1)).click();
-    }
-
-
-
-    //piwigo 2.4
-    // Add another debug to the DOM 
-    jQuery('#derivativeCheckedAutosize').click(function () {
-
-
-    });
-
-    jQuery("#derivativeSwitchBox a").click(function () {
+      retrait_img = Math.ceil(infos_theMainImage.borderwidth.left
+                    + infos_theMainImage.borderwidth.right
+                    + infos_theMainImage.padding.left
+                    + infos_theMainImage.padding.right);
+      retrait_img += Math.ceil(infos_llgbo.borderwidth.right + infos_llgbo.borderwidth.right);
+
+      if (theme.match(RegExp("elegant", "gi"))) {
+        if (all_width != true) {
+          new_width = Math.ceil(8 +
+                                infos_imageInfos.width +
+                                infos_imageInfos.borderwidth.left +
+                                infos_imageInfos.borderwidth.right +
+                                infos_imageInfos.margin.left +
+                                infos_imageInfos.borderwidth.right +
+                                infos_imageInfos.padding.left +
+                                infos_imageInfos.padding.right);
+        } else {
+          new_width = 0;
+        }
+        width_theImage = (jQuery(window).width() - new_width)
+
+      } else if (theme.match(RegExp("stripped", "gi"))) {
+        width_theImage = (jQuery(window).width());
+      } else if (theme.match(RegExp("simple", "gi"))) {
+        width_theImage = infos_imageInfoBar.left + infos_theImage.left - infos_imageInfoBar.margin.left - 5;
+
+
+      } else {
+        width_theImage = (jQuery(window).width());
+      }
+
+
+      b = 0;
+
+
+      if (infos_llgbo.top > 0) {
+        if ((infos_llgbo.top - retrait_h) > 0) {
+          b = infos_llgbo.top - retrait_h;
+        } else {
+          b = infos_llgbo.top;
+        }
+      }
+      retrait_h += (b * 2)
+      height_theImage = jQuery(window).height() - retrait_h;
+      width_theImage -= retrait_w;
+      //===============================================================
+      width_theMainImage = width_theImage - retrait_img;
+      height_theMainImage = parseInt(width_theImage / rapport) - (retrait_img);
+
+      //===============================================================
+      // test débordement
+      if ((height_theMainImage) > height_theImage - (retrait_img + (b * 2))) {
+        height_theMainImage = height_theImage - (retrait_img);
+        width_theMainImage = parseInt(height_theMainImage * rapport);
+      } else {
+        width_theMainImage = width_theImage - (retrait_img);
+        height_theMainImage = parseInt(width_theMainImage / rapport);
+      }
+      //==================================================================
       var theImg = document.getElementById("theMainImage");
       if (theImg) {
-        try {
-          n = eval(this.pathname);
-        } catch (e) {
-          n = false;
-        }
-        infos_theMainImage = jQuery("#theMainImage").infos();
-        infos_theImage = jQuery("#theImage").infos();
-        theImg.removeAttribute("width");
-        theImg.removeAttribute("height");
-        rapport = parseInt(img_init.width) / parseInt(img_init.height);
-        if (n == true) {
-          old_window.width = 0; // force autosize
-          jQuery(window).resize();
+
+
+        if (theImg.useMap.match(RegExp("map", "gi"))) {
+          height_theMainImage = jQuery(theImg).height() - (retrait_img);
+          width_theMainImage = jQuery(theImg).width() - retrait_img;
+        }
+      }
+      width_theMainImage = parseInt(height_theMainImage * rapport);
+      height_theMainImage = parseInt(width_theMainImage / rapport);
+
+      height_theImage += (b * 2);
+      if (height_theImage > height_theMainImage + retrait_h) {
+        height_theImage = height_theMainImage + retrait_h;
+      }
+
+      Zone_image = {
+        image: { width: width_theMainImage,
+          height: height_theMainImage
+        },
+        container: {
+          width: width_theImage,
+          height: height_theImage
+        }
+      };
+      Zone_image.top = retrait_h;
+      Zone_image.marge = { width: retrait_w, height: retrait_h };
+
+      Zone_image.src = jQuery(theMainImage_obj).attr("src");
+
+
+      Zone_image.width_init = img_init.width;
+      Zone_image.height_init = img_init.height;
+
+      if (!Zone_image.height_init) {
+        Zone_image.height_init = parseInt(img_init.height);
+        Zone_image.rapport_init = parseInt(img_init.width) / Zone_image.height_init;
+      }
+
+      Zone_image.rapport_init = Zone_image.width_init / Zone_image.height_init;
+      Zone_image.zoom = Zone_image.image.height / Zone_image.height_init;
+
+      return Zone_image;
+    }
+
+
+    /**************************************************
+    *  onProperty
+    **************************************************/
+    onPropertyChange = function (e, obj) {
+      var el = obj;
+      attributs = el.attributes;
+      type_action = e.type;
+      style = "";
+      alt = "";
+      src = "";
+
+      if (attributs.id) id = attributs.id.value;
+      if (attributs.style) style = attributs.style.value;
+      if (attributs.alt) alt = attributs.alt.value;
+      /* Image */
+      if (attributs.src) {
+        src = attributs.src.value;
+        if (attributs.width) width = attributs.width.value;
+        if (attributs.height) height = attributs.height.value;
+      }
+      affiche_debug({
+        Debug1: Debug_info(1, type_action + " : " + src, id + " action ")
+
+      });
+
+
+      if (style)
+        switch (style) {
+        case "style.opacity":
+
+          break;
+        case "style.transform":
+
+          break;
+        case "style.display":
+
+          break;
+        case "style.color":
+
+          break;
+        case "style.width":
+          width = el.style.width;
+          break;
+        case "style.height":
+          height = el.style.height;
+          break;
+
+        case 'width':
+
+          break;
+        case 'height':
+
+          el.style.height = el.attributes.height.nodeValue + 'px';
+          el.firstChild.style.height = el.clientHeight + 'px';
+          break;
+      }
+    }
+
+
+    Autosize_resize(true);
+
+
+  });  // ready
+})(jQuery);
+
+
+  //=====================================================================
+  //
+  //  Fonctions supplémentaires
+  //
+  //=====================================================================
+  function Autosize_resize(Obj) {
+    conf = jQuery(Obj).get(0).conf;
+    Obj = jQuery(Obj).get(0).obj;
+    myWindow = jQuery("#" + conf.parent).infos();
+    if (myWindow.width == 0) myWindow = jQuery(window).infos();
+    marge_basse = 0;
+    if (conf.MargeBasse)
+      marge_basse = jQuery().Get_Val_int(conf.MargeBasse);
+    marge_top = 0;
+    if (conf.MargeHaute)
+      marge_top = jQuery().Get_Val_int(conf.MargeHaute);
+    infos_Obj = jQuery(Obj).infos();
+    h1_left = jQuery(Obj).absoluteLeft();
+    h1_top = jQuery(Obj).absoluteTop();
+
+    if (h1_top < infos_Obj.height)
+      h1 = (myWindow.height - h1_top - marge_basse - marge_top);
+    else
+      h1 = (myWindow.height - marge_basse);
+    rap = infos_Obj.height / infos_Obj.width;
+    w2 = parseInt(h1 / rap);
+    if (w2 < infos_Obj.width)
+      marginLeft = infos_Obj.left + parseInt((infos_Obj.width - w2) / 2) + "px";
+    else
+      marginLeft = "auto";
+    jQuery(Obj).css({ width: "auto", marginTop: marge_top,
+      marginLeft: "auto", marginBottom: 0 + "px",
+      verticalAlign: "middle", textAlign: "center"
+    });
+    jQuery(Obj).height(h1);
+    //=============================================================
+    if (conf.ResizePicture == "true")
+      imgs = jQuery(Obj).find("img");
+    else
+      imgs = jQuery(Obj).find("img");
+    Parent = Obj;
+
+    Obj_w = jQuery(Obj).width();
+    Obj_h = jQuery(Obj).height();
+    if (imgs.length > 0) {
+      jQuery(imgs).each(function (i) {
+        img = jQuery(this);
+        h1_top = jQuery(img).absoluteTop() - h1_top;
+        h1_bottom = Obj_h - h1_top;
+        infos_img = { width: conf.width[i], height: conf.height[i] }; //origine 
+        img_rap = conf.rap[i];
+        if (infos_img.width > Obj_w) h1 = parseInt(Obj_w / img_rap);
+        h1 -= h1_top;
+        if (h1 > Obj_h - h1_top) {
+          h1 = Obj_h - h1_top;
+        }
+        w2 = parseInt(h1 * img_rap);
+        if (w2 > 0 && h1 > 0 && img.length > 0) {
+          img.height(h1);
+          img.width(w2);
+        }
+      });
+    } else {
+      imgs = jQuery(Obj).children();
+      jQuery(imgs).each(function (i) {
+        if (this.height > 0) {
+          h1_top = jQuery(this).absoluteTop() - h1_top;
+          h1_bottom = Obj_h - h1_top;
+          infos_img = { width: conf.width[i], height: conf.height[i] }; //origine 
+          img_rap = conf.rap[i];
+          if (infos_img.width > Obj_w) h1 = parseInt(Obj_w / img_rap);
+          h1 -= h1_top;
+          if (h1 > Obj_h - h1_top) {
+            h1 = Obj_h - h1_top;
+          }
+          w2 = parseInt(h1 * img_rap);
+          if (w2 > Obj_w) {
+            w2 = Obj_w;
+          }
+
+          if (w2 > 0 && h1 > 0) {
+            this.height = (h1);
+            this.width = (w2);
+          }
+
+        }
+        name = this.name;
+      });
+
+
+
+    }
+
+  }
+  //===============================================
+  // Extend expression jQuery(":Autozise") ;
+  //===============================================
+  jQuery.extend(jQuery.expr[':'], {
+    // Nom du sélecteur personnalisé
+    Autosize: function (a) {
+      nd = a.nodeName;
+      n1 = a.className;
+      // personal_block
+      if (n1.match(RegExp("autosize", "gi"))) {
+        //   autosize = "MargeBasse:30px; ResizePicture:false"
+        infconf = jQuery(a).attr("autosize");
+        n1 = typeof infconf;
+        conf = { MargeBasse: 0, NoPicture: false }
+        if (n1 == "undefined") {
+
         } else {
-          nw = "100% x 100%".split("x");
-          if (jQuery(this).text().match(RegExp("x", "gi"))) {
-            nw = jQuery(this).text().split("(")[1].split(")")[0];
-            nw = nw.split("x");
-            jQuery("#theImage").css({ marginRight: "auto", marginLeft: "auto", textAlign: "center" });
-
-            wx = parseInt(nw[0]);
-            jQuery(theImg).width(wx);
-            jQuery(theImg).height(wx / rapport);
-            /*  n = jQuery("#imageInfos").css("display");
-            Zone_image = Calcul_Image(n == "none");
-            jQuery("#theImage").width(wx+(Zone_image.marge.width * 1.5));
-            jQuery("#theImage").height((wx / rapport) + Zone_image.marge.height);
-            */
-
-
-
-
-
-          }
-        }
-
-
-
-      }
-
-    });
-
-    function changeImgSrc1(url, typeSave, typeMap) {
-      var theImg = document.getElementById("theMainImage");
-      if (theImg) {
-        theImg.removeAttribute("width");
-        theImg.removeAttribute("height");
-        theImg.src = url;
-        //  theImg.useMap = "#map" + typeMap;
-        if (typeMap == "Autosize") {
-          theImg.useMap = "#" + typeMap;
-        } else {
-          theImg.useMap = "#map" + typeSave;
-        }
-        jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
-        jQuery('#derivativeChecked' + typeMap).css('visibility', 'visible');
-        document.cookie = 'picture_deriv=' + typeSave + ';path="' + cookie_path + '" ';
-      }
+          tableau = infconf.split(";");
+          for (var i = 0; i < tableau.length; i++) {
+            tableau2 = tableau[i].split(":");
+            conf[jQuery.trim(tableau2[0])] = jQuery.trim(tableau2[1]);
+          }
+          imgs = jQuery(a).find("img");
+          rap = new Array();
+          width = new Array();
+          height = new Array();
+          if (imgs.length > 0)
+            jQuery(imgs).each(function (i) {
+              img = jQuery(this);
+              rap.push((img.width() / img.height()));
+              width.push(img.width());
+              height.push(img.height());
+            });
+          else {
+            imgs = jQuery(a).children();
+            jQuery(imgs).each(function (i) {
+              if (this.height > 0) {
+                rap.push(this.width / this.height);
+                width.push(this.width);
+                height.push(this.height);
+              }
+              name = this.name;
+
+
+            });
+          }
+          conf['rap'] = rap;
+          conf['width'] = width;
+          conf['height'] = height;
+          List_autosize.push({ obj: a, conf: conf });
+          jQuery(a).css({ opacity: 0 });
+        }
+      }
+      //  Css = jQuery(a).getStyles(a);
+      return false;
+    }, // jQuery.Autosize
+    Set_Class: function (a) {
+      nd = a.nodeName;
+      if (nd == "DIV") {
+        XBrowserAddHandler(a, 'onpropertychange', onPropertyChange);
+        //jQuery(a).find("img:nth-child(1)").css("border","Solid 5px green");
+        img = jQuery(a).children("img");
+        if (img.length == 0) img = jQuery(a).find("a").children("img");
+        if (img.length > 0)
+          if (img.length == 1) {
+            if (img[0].src.match(RegExp(".png", "g")))
+              return;
+            // img[0].attachEvent('onpropertychange', onPropertyChange);
+            XBrowserAddHandler(img[0], 'onpropertychange', onPropertyChange);
+            jQuery(img).addClass("Image");
+            //jQuery(img).attr("autosize", "MargeBasse:0px; ResizePicture:true");
+          }
+      }
+    }  //jQuery().Set_Class
+
+
+  }); // Extend expression
+
+  /**************************************************
+  * TEST
+  **************************************************/
+  /*
+  var y = 3; 
+  var txtTestBox = document.getElementById('testBox');
+  XBrowserAddHandler(txtTestBox, 'keyup', function() {
+  myFunctionRef(y) 
+  });
+  var myFunctionRef = function myFunction(x, e) {
+  var keyCode; 
+  if (!e && window.event)
+  e = window.event; 
+  if (e)
+  keyCode = (window.Event) ? e.which : e.keyCode; 
+  alert('You pressed: ' + keyCode + '. Event object is :' + e + '. x is: ' + x);
+  }
+
+  */
+  /**************************************************
+  * XBrowserAddHandler
+  **************************************************/
+  function XBrowserAddHandler(target, eventName, handlerName) {
+    if (target.addEventListener)
+      target.addEventListener(eventName, handlerName, false);
+    else if (target.attachEvent)
+      target.attachEvent("on" + eventName, handlerName);
+    else
+      target["on" + eventName] = handlerName;
+  }
+
+  /********************************************************
+  * List_autosize_resize
+  ********************************************************/
+  function List_autosize_resize(event, ui) {
+    if (typeof wait_resize == "undefined") wait_resize = false;
+    if (wait_resize == true) return;
+    wait_resize = true;
+    if (List_autosize.length == 0) return;
+    for (i = 0; i < List_autosize.length; i++) {
+      Autosize_resize(jQuery(List_autosize[i]));
     }
-
-
-  }); //on load
-});
-
-function changeImgSrc1(url, typeSave, typeMap) {
-  old_window.width = 0; // force autosize
-  jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
-  jQuery('#derivativeChecked' + typeMap).css('visibility', 'visible');
-  jQuery(window).resize();
-};
+    wait_resize = false;
+    return true;
+  }
+
